curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecodeimport requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"device_code": "b8152b4e-941a-47e5-b1c3-3a84b597b057",
"user_code": "VV75TT",
"verification_uri": "https://some.telco.io/oidc/device",
"verification_uri_complete": "<string>",
"expires_in": 300,
"interval": 10,
"ulm_details": null
}{
"error": "invalid_client",
"error_description": "Invalid client"
}Device Authorization Request
Use this API to initate the device authorization flow by requesting a verification code.
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecodeimport requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/devicecode")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"device_code": "b8152b4e-941a-47e5-b1c3-3a84b597b057",
"user_code": "VV75TT",
"verification_uri": "https://some.telco.io/oidc/device",
"verification_uri_complete": "<string>",
"expires_in": 300,
"interval": 10,
"ulm_details": null
}{
"error": "invalid_client",
"error_description": "Invalid client"
}Query Parameters
OAuth 2.0 client-ID of the Relying Party.
The device ID.
Flag to enable generation of the debug data.
The requested scopes
Response
OK
The device verification code.
"b8152b4e-941a-47e5-b1c3-3a84b597b057"
The end-user verification code.
"VV75TT"
The end-user verification URI on the authorization server. The URI should be short and easy to remember as end users will be asked to manually type it into their user agent.
"https://some.telco.io/oidc/device"
A verification URI that includes the "user_code" (or other information with the same function as the "user_code"), which is designed for non-textual transmission.
The lifetime in seconds of the device_code and user_code.
300
The minimum amount of time in seconds that the client SHOULD wait between polling requests to the token endpoint. If no value is provided, clients MUST use 5 as the default.
10
A set of key/value pairs useful for storing additional information.
Show child attributes
Show child attributes
null

